local _, Addon = ... 
Addon.__index = Addon

function Addon:NewModule(name, ...)
	local module = ... and CreateFrame(...) or {}
	module.NewFrame = self.NewFrame
	module.__index = module
	
	self[name] = module
	return module
end

function Addon:NewFrame(...)
	return setmetatable(CreateFrame(...), self)
end

function Addon:GetQualityName(quality)
	return _G['BATTLE_PET_BREED_QUALITY' .. quality]
end

function Addon:GetQualityColor(quality)
	return GetItemQualityColor(quality - 1)
end